import { w as withInstall } from "../badge/index2.js";
import { defineComponent, computed, openBlock, createElementBlock, normalizeClass, normalizeStyle, unref, createBlock, inject, useSlots, withModifiers, createElementVNode, renderSlot, createTextVNode, toDisplayString, createCommentVNode, createVNode } from "vue";
var iconfont = [{
  name: "\u5B9E\u5FC3",
  class: "layui-icon-heart-fill"
}, {
  name: "\u7A7A\u5FC3",
  class: "layui-icon-heart"
}, {
  name: "\u4EAE\u5EA6/\u6674",
  class: "layui-icon-light"
}, {
  name: "\u65F6\u95F4/\u5386\u53F2",
  class: "layui-icon-time"
}, {
  name: "\u84DD\u7259",
  class: "layui-icon-bluetooth"
}, {
  name: "@\u827E\u7279",
  class: "layui-icon-at"
}, {
  name: "\u9759\u97F3",
  class: "layui-icon-mute"
}, {
  name: "\u5F55\u97F3/\u9EA6\u514B\u98CE",
  class: "layui-icon-mike"
}, {
  name: "\u5BC6\u94A5/\u94A5\u5319",
  class: "layui-icon-key"
}, {
  name: "\u793C\u7269/\u6D3B\u52A8",
  class: "layui-icon-gift"
}, {
  name: "\u90AE\u7BB1",
  class: "layui-icon-email"
}, {
  name: "RSS",
  class: "layui-icon-rss"
}, {
  name: "WiFi",
  class: "layui-icon-wifi"
}, {
  name: "\u9000\u51FA/\u6CE8\u9500",
  class: "layui-icon-logout"
}, {
  name: "Android \u5B89\u5353",
  class: "layui-icon-android"
}, {
  name: "Apple IOS \u82F9\u679C",
  class: "layui-icon-ios"
}, {
  name: "Windows",
  class: "layui-icon-windows"
}, {
  name: "\u7A7F\u68AD\u6846",
  class: "layui-icon-transfer"
}, {
  name: "\u5BA2\u670D",
  class: "layui-icon-service"
}, {
  name: "\u51CF",
  class: "layui-icon-subtraction"
}, {
  name: "\u52A0",
  class: "layui-icon-addition"
}, {
  name: "\u6ED1\u5757",
  class: "layui-icon-slider"
}, {
  name: "\u6253\u5370",
  class: "layui-icon-print"
}, {
  name: "\u5BFC\u51FA",
  class: "layui-icon-export"
}, {
  name: "\u5217",
  class: "layui-icon-cols"
}, {
  name: "\u9000\u51FA\u5168\u5C4F",
  class: "layui-icon-screen-restore"
}, {
  name: "\u5168\u5C4F",
  class: "layui-icon-screen-full"
}, {
  name: "\u534A\u661F",
  class: "layui-icon-rate-half"
}, {
  name: "\u661F\u661F-\u7A7A\u5FC3",
  class: "layui-icon-rate"
}, {
  name: "\u661F\u661F-\u5B9E\u5FC3",
  class: "layui-icon-rate-solid"
}, {
  name: "\u624B\u673A",
  class: "layui-icon-cellphone"
}, {
  name: "\u9A8C\u8BC1\u7801",
  class: "layui-icon-vercode"
}, {
  name: "\u5FAE\u4FE1",
  class: "layui-icon-login-wechat"
}, {
  name: "QQ",
  class: "layui-icon-login-qq"
}, {
  name: "\u5FAE\u535A",
  class: "layui-icon-login-weibo"
}, {
  name: "\u5BC6\u7801",
  class: "layui-icon-password"
}, {
  name: "\u7528\u6237\u540D",
  class: "layui-icon-username"
}, {
  name: "\u5237\u65B0-\u7C97",
  class: "layui-icon-refresh-three"
}, {
  name: "\u6388\u6743",
  class: "layui-icon-auz"
}, {
  name: "\u5DE6\u5411\u53F3\u4F38\u7F29\u83DC\u5355",
  class: "layui-icon-spread-left"
}, {
  name: "\u53F3\u5411\u5DE6\u4F38\u7F29\u83DC\u5355",
  class: "layui-icon-shrink-right"
}, {
  name: "\u96EA\u82B1",
  class: "layui-icon-snowflake"
}, {
  name: "\u63D0\u793A\u8BF4\u660E",
  class: "layui-icon-tips"
}, {
  name: "\u4FBF\u7B7E",
  class: "layui-icon-note"
}, {
  name: "\u4E3B\u9875",
  class: "layui-icon-home"
}, {
  name: "\u9AD8\u7EA7",
  class: "layui-icon-senior"
}, {
  name: "\u5237\u65B0",
  class: "layui-icon-refresh"
}, {
  name: "\u5237\u65B0",
  class: "layui-icon-refresh-one"
}, {
  name: "\u65D7\u5E1C",
  class: "layui-icon-flag"
}, {
  name: "\u4E3B\u9898",
  class: "layui-icon-theme"
}, {
  name: "\u6D88\u606F-\u901A\u77E5",
  class: "layui-icon-notice"
}, {
  name: "\u7F51\u7AD9",
  class: "layui-icon-website"
}, {
  name: "\u63A7\u5236\u53F0",
  class: "layui-icon-console"
}, {
  name: "\u8868\u60C5-\u60CA\u8BB6",
  class: "layui-icon-face-surprised"
}, {
  name: "\u8BBE\u7F6E-\u7A7A\u5FC3",
  class: "layui-icon-set"
}, {
  name: "\u6A21\u677F",
  class: "layui-icon-template-one"
}, {
  name: "\u5E94\u7528",
  class: "layui-icon-app"
}, {
  name: "\u6A21\u677F",
  class: "layui-icon-template"
}, {
  name: "\u8D5E",
  class: "layui-icon-praise"
}, {
  name: "\u8E29",
  class: "layui-icon-tread"
}, {
  name: "\u7537",
  class: "layui-icon-male"
}, {
  name: "\u5973",
  class: "layui-icon-female"
}, {
  name: "\u76F8\u673A-\u7A7A\u5FC3",
  class: "layui-icon-camera"
}, {
  name: "\u76F8\u673A-\u5B9E\u5FC3",
  class: "layui-icon-camera-fill"
}, {
  name: "\u83DC\u5355-\u6C34\u5E73",
  class: "layui-icon-more"
}, {
  name: "\u83DC\u5355-\u5782\u76F4",
  class: "layui-icon-more-vertical"
}, {
  name: "\u91D1\u989D-\u4EBA\u6C11\u5E01",
  class: "layui-icon-rmb"
}, {
  name: "\u91D1\u989D-\u7F8E\u5143",
  class: "layui-icon-dollar"
}, {
  name: "\u94BB\u77F3-\u7B49\u7EA7",
  class: "layui-icon-diamond"
}, {
  name: "\u706B",
  class: "layui-icon-fire"
}, {
  name: "\u8FD4\u56DE",
  class: "layui-icon-return"
}, {
  name: "\u4F4D\u7F6E-\u5730\u56FE",
  class: "layui-icon-location"
}, {
  name: "\u529E\u516C-\u9605\u8BFB",
  class: "layui-icon-read"
}, {
  name: "\u8C03\u67E5",
  class: "layui-icon-survey"
}, {
  name: "\u8868\u60C5-\u5FAE\u7B11",
  class: "layui-icon-face-smile"
}, {
  name: "\u8868\u60C5-\u54ED\u6CE3",
  class: "layui-icon-face-cry"
}, {
  name: "\u8D2D\u7269\u8F66",
  class: "layui-icon-cart-simple"
}, {
  name: "\u8D2D\u7269\u8F66",
  class: "layui-icon-cart"
}, {
  name: "\u4E0B\u4E00\u9875",
  class: "layui-icon-next"
}, {
  name: "\u4E0A\u4E00\u9875",
  class: "layui-icon-prev"
}, {
  name: "\u4E0A\u4F20-\u7A7A\u5FC3-\u62D6\u62FD",
  class: "layui-icon-upload-drag"
}, {
  name: "\u4E0A\u4F20-\u5B9E\u5FC3",
  class: "layui-icon-upload"
}, {
  name: "\u4E0B\u8F7D-\u5706\u5708",
  class: "layui-icon-download-circle"
}, {
  name: "\u7EC4\u4EF6",
  class: "layui-icon-component"
}, {
  name: "\u6587\u4EF6-\u7C97",
  class: "layui-icon-file-b"
}, {
  name: "\u7528\u6237",
  class: "layui-icon-user"
}, {
  name: "\u53D1\u73B0-\u5B9E\u5FC3",
  class: "layui-icon-find-fill"
}, {
  name: "loading",
  class: "layui-icon-loading"
}, {
  name: "loading",
  class: "layui-icon-loading-one"
}, {
  name: "\u6DFB\u52A0",
  class: "layui-icon-add-one"
}, {
  name: "\u64AD\u653E",
  class: "layui-icon-play"
}, {
  name: "\u6682\u505C",
  class: "layui-icon-pause"
}, {
  name: "\u97F3\u9891-\u8033\u673A",
  class: "layui-icon-headset"
}, {
  name: "\u89C6\u9891",
  class: "layui-icon-video"
}, {
  name: "\u8BED\u97F3-\u58F0\u97F3",
  class: "layui-icon-voice"
}, {
  name: "\u6D88\u606F-\u901A\u77E5-\u5587\u53ED",
  class: "layui-icon-speaker"
}, {
  name: "\u5220\u9664\u7EBF",
  class: "layui-icon-fonts-del"
}, {
  name: "\u4EE3\u7801",
  class: "layui-icon-fonts-code"
}, {
  name: "HTML",
  class: "layui-icon-fonts-html"
}, {
  name: "\u5B57\u4F53\u52A0\u7C97",
  class: "layui-icon-fonts-strong"
}, {
  name: "\u5220\u9664\u94FE\u63A5",
  class: "layui-icon-unlink"
}, {
  name: "\u56FE\u7247",
  class: "layui-icon-picture"
}, {
  name: "\u94FE\u63A5",
  class: "layui-icon-link"
}, {
  name: "\u8868\u60C5-\u7B11-\u7C97",
  class: "layui-icon-face-smile-b"
}, {
  name: "\u5DE6\u5BF9\u9F50",
  class: "layui-icon-align-left"
}, {
  name: "\u53F3\u5BF9\u9F50",
  class: "layui-icon-align-right"
}, {
  name: "\u5C45\u4E2D\u5BF9\u9F50",
  class: "layui-icon-align-center"
}, {
  name: "\u5B57\u4F53-\u4E0B\u5212\u7EBF",
  class: "layui-icon-fonts-u"
}, {
  name: "\u5B57\u4F53-\u659C\u4F53",
  class: "layui-icon-fonts-i"
}, {
  name: "Tabs \u9009\u9879\u5361",
  class: "layui-icon-tabs"
}, {
  name: "\u5355\u9009\u6846-\u9009\u4E2D",
  class: "layui-icon-radio"
}, {
  name: "\u5355\u9009\u6846-\u5019\u9009",
  class: "layui-icon-circle"
}, {
  name: "\u7F16\u8F91",
  class: "layui-icon-edit"
}, {
  name: "\u5206\u4EAB",
  class: "layui-icon-share"
}, {
  name: "\u5220\u9664",
  class: "layui-icon-delete"
}, {
  name: "\u8868\u5355",
  class: "layui-icon-form"
}, {
  name: "\u624B\u673A-\u7EC6\u4F53",
  class: "layui-icon-cellphone-fine"
}, {
  name: "\u804A\u5929 \u5BF9\u8BDD \u6C9F\u901A",
  class: "layui-icon-dialogue"
}, {
  name: "\u6587\u5B57\u683C\u5F0F\u5316",
  class: "layui-icon-fonts-clear"
}, {
  name: "\u7A97\u53E3",
  class: "layui-icon-layer"
}, {
  name: "\u65E5\u671F",
  class: "layui-icon-date"
}, {
  name: "\u6C34 \u4E0B\u96E8",
  class: "layui-icon-water"
}, {
  name: "\u4EE3\u7801-\u5706\u5708",
  class: "layui-icon-code-circle"
}, {
  name: "\u8F6E\u64AD\u7EC4\u56FE",
  class: "layui-icon-carousel"
}, {
  name: "\u7FFB\u9875",
  class: "layui-icon-prev-circle"
}, {
  name: "\u5E03\u5C40",
  class: "layui-icon-layouts"
}, {
  name: "\u5DE5\u5177",
  class: "layui-icon-util"
}, {
  name: "\u9009\u62E9\u6A21\u677F",
  class: "layui-icon-templeate-one"
}, {
  name: "\u4E0A\u4F20-\u5706\u5708",
  class: "layui-icon-upload-circle"
}, {
  name: "\u6811",
  class: "layui-icon-tree"
}, {
  name: "\u8868\u683C",
  class: "layui-icon-table"
}, {
  name: "\u56FE\u8868",
  class: "layui-icon-chart"
}, {
  name: "\u56FE\u6807 \u62A5\u8868 \u5C4F\u5E55",
  class: "layui-icon-chart-screen"
}, {
  name: "\u5F15\u64CE",
  class: "layui-icon-engine"
}, {
  name: "\u4E0B\u4E09\u89D2",
  class: "layui-icon-triangle-d"
}, {
  name: "\u53F3\u4E09\u89D2",
  class: "layui-icon-triangle-r"
}, {
  name: "\u6587\u4EF6",
  class: "layui-icon-file"
}, {
  name: "\u8BBE\u7F6E-\u5C0F\u578B",
  class: "layui-icon-set-sm"
}, {
  name: "\u51CF\u5C11-\u5706\u5708",
  class: "layui-icon-reduce-circle"
}, {
  name: "\u6DFB\u52A0-\u5706\u5708",
  class: "layui-icon-add-circle"
}, {
  name: "404",
  class: "layui-icon-not-found"
}, {
  name: "\u5173\u4E8E",
  class: "layui-icon-about"
}, {
  name: "\u7BAD\u5934 \u5411\u4E0A",
  class: "layui-icon-up"
}, {
  name: "\u7BAD\u5934 \u5411\u4E0B",
  class: "layui-icon-down"
}, {
  name: "\u7BAD\u5934 \u5411\u5DE6",
  class: "layui-icon-left"
}, {
  name: "\u7BAD\u5934 \u5411\u53F3",
  class: "layui-icon-right"
}, {
  name: "\u5706\u70B9",
  class: "layui-icon-circle-dot"
}, {
  name: "\u641C\u7D22",
  class: "layui-icon-search"
}, {
  name: "\u8BBE\u7F6E-\u5B9E\u5FC3",
  class: "layui-icon-set-fill"
}, {
  name: "\u7FA4\u7EC4",
  class: "layui-icon-group"
}, {
  name: "\u597D\u53CB",
  class: "layui-icon-friends"
}, {
  name: "\u56DE\u590D \u8BC4\u8BBA \u5B9E\u5FC3",
  class: "layui-icon-reply-fill"
}, {
  name: "\u83DC\u5355 \u9690\u8EAB \u5B9E\u5FC3",
  class: "layui-icon-menu-fill"
}, {
  name: "\u8BB0\u5F55",
  class: "layui-icon-log"
}, {
  name: "\u56FE\u7247-\u7EC6\u4F53",
  class: "layui-icon-picture-fine"
}, {
  name: "\u8868\u60C5-\u7B11-\u7EC6\u4F53",
  class: "layui-icon-face-smile-fine"
}, {
  name: "\u5217\u8868",
  class: "layui-icon-list"
}, {
  name: "\u53D1\u5E03 \u7EB8\u98DE\u673A",
  class: "layui-icon-release"
}, {
  name: "\u5BF9 OK",
  class: "layui-icon-ok"
}, {
  name: "\u5E2E\u52A9",
  class: "layui-icon-help"
}, {
  name: "\u5BA2\u670D",
  class: "layui-icon-chat"
}, {
  name: "top \u7F6E\u9876",
  class: "layui-icon-top"
}, {
  name: "\u6536\u85CF-\u7A7A\u5FC3",
  class: "layui-icon-star"
}, {
  name: "\u6536\u85CF-\u5B9E\u5FC3",
  class: "layui-icon-star-fill"
}, {
  name: "\u5173\u95ED-\u5B9E\u5FC3",
  class: "layui-icon-close-fill"
}, {
  name: "\u5173\u95ED-\u7A7A\u5FC3",
  class: "layui-icon-close"
}, {
  name: "\u6B63\u786E",
  class: "layui-icon-ok-circle"
}, {
  name: "\u6DFB\u52A0-\u5706\u5708-\u7EC6\u4F53",
  class: "layui-icon-add-circle-fine"
}];
function ownKeys(object, enumerableOnly) {
  var keys = Object.keys(object);
  if (Object.getOwnPropertySymbols) {
    var symbols = Object.getOwnPropertySymbols(object);
    enumerableOnly && (symbols = symbols.filter(function(sym) {
      return Object.getOwnPropertyDescriptor(object, sym).enumerable;
    })), keys.push.apply(keys, symbols);
  }
  return keys;
}
function _objectSpread2(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = null != arguments[i] ? arguments[i] : {};
    i % 2 ? ownKeys(Object(source), true).forEach(function(key) {
      _defineProperty(target, key, source[key]);
    }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function(key) {
      Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
    });
  }
  return target;
}
function _defineProperty(obj, key, value) {
  if (key in obj) {
    Object.defineProperty(obj, key, {
      value,
      enumerable: true,
      configurable: true,
      writable: true
    });
  } else {
    obj[key] = value;
  }
  return obj;
}
var __default__$2E = {
  name: "LayIcon"
};
var _sfc_main$2E = defineComponent(_objectSpread2(_objectSpread2({}, __default__$2E), {}, {
  props: {
    size: null,
    type: null,
    color: null,
    prefix: {
      default: "layui-icon"
    }
  },
  setup: function setup(__props) {
    var props = __props;
    var styles = computed(function() {
      return {
        color: props.color,
        fontSize: props.size
      };
    });
    computed(function() {
      return {
        type: props.type,
        prefix: props.prefix
      };
    });
    return function(_ctx, _cache) {
      return openBlock(), createElementBlock("i", {
        class: normalizeClass([__props.prefix, __props.type]),
        style: normalizeStyle(unref(styles))
      }, null, 6);
    };
  }
}));
var __default__$2D = {
  name: "HeartFillIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$2D), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup2(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-heart-fill"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$2C = {
  name: "HeartIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$2C), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup3(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-heart"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$2B = {
  name: "LightIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$2B), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup4(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-light"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$2A = {
  name: "TimeIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$2A), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup5(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-time"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$2z = {
  name: "BluetoothIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$2z), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup6(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-bluetooth"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$2y = {
  name: "AtIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$2y), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup7(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-at"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$2x = {
  name: "MuteIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$2x), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup8(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-mute"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$2w = {
  name: "MikeIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$2w), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup9(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-mike"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$2v = {
  name: "KeyIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$2v), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup10(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-key"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$2u = {
  name: "GiftIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$2u), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup11(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-gift"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$2t = {
  name: "EmailIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$2t), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup12(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-email"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$2s = {
  name: "RssIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$2s), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup13(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-rss"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$2r = {
  name: "WifiIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$2r), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup14(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-wifi"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$2q = {
  name: "LogoutIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$2q), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup15(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-logout"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$2p = {
  name: "AndroidIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$2p), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup16(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-android"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$2o = {
  name: "IosIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$2o), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup17(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-ios"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$2n = {
  name: "WindowsIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$2n), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup18(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-windows"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$2m = {
  name: "TransferIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$2m), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup19(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-transfer"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$2l = {
  name: "ServiceIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$2l), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup20(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-service"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$2k = {
  name: "SubtractionIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$2k), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup21(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-subtraction"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$2j = {
  name: "AdditionIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$2j), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup22(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-addition"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$2i = {
  name: "SliderIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$2i), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup23(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-slider"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$2h = {
  name: "PrintIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$2h), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup24(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-print"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$2g = {
  name: "ExportIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$2g), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup25(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-export"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$2f = {
  name: "ColsIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$2f), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup26(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-cols"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$2e = {
  name: "ScreenRestoreIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$2e), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup27(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-screen-restore"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$2d = {
  name: "ScreenFullIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$2d), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup28(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-screen-full"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$2c = {
  name: "RateHalfIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$2c), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup29(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-rate-half"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$2b = {
  name: "RateIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$2b), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup30(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-rate"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$2a = {
  name: "RateSolidIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$2a), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup31(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-rate-solid"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$29 = {
  name: "CellphoneIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$29), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup32(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-cellphone"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$28 = {
  name: "VercodeIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$28), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup33(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-vercode"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$27 = {
  name: "LoginWechatIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$27), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup34(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-login-wechat"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$26 = {
  name: "LoginQqIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$26), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup35(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-login-qq"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$25 = {
  name: "LoginWeiboIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$25), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup36(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-login-weibo"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$24 = {
  name: "PasswordIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$24), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup37(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-password"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$23 = {
  name: "UsernameIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$23), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup38(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-username"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$22 = {
  name: "RefreshThreeIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$22), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup39(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-refresh-three"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$21 = {
  name: "AuzIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$21), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup40(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-auz"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$20 = {
  name: "SpreadLeftIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$20), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup41(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-spread-left"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$1$ = {
  name: "ShrinkRightIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$1$), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup42(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-shrink-right"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$1_ = {
  name: "SnowflakeIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$1_), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup43(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-snowflake"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$1Z = {
  name: "TipsIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$1Z), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup44(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-tips"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$1Y = {
  name: "NoteIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$1Y), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup45(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-note"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$1X = {
  name: "HomeIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$1X), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup46(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-home"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$1W = {
  name: "SeniorIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$1W), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup47(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-senior"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$1V = {
  name: "RefreshIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$1V), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup48(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-refresh"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$1U = {
  name: "RefreshOneIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$1U), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup49(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-refresh-one"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$1T = {
  name: "FlagIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$1T), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup50(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-flag"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$1S = {
  name: "ThemeIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$1S), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup51(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-theme"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$1R = {
  name: "NoticeIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$1R), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup52(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-notice"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$1Q = {
  name: "WebsiteIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$1Q), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup53(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-website"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$1P = {
  name: "ConsoleIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$1P), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup54(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-console"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$1O = {
  name: "FaceSurprisedIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$1O), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup55(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-face-surprised"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$1N = {
  name: "SetIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$1N), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup56(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-set"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$1M = {
  name: "TemplateOneIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$1M), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup57(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-template-one"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$1L = {
  name: "AppIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$1L), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup58(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-app"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$1K = {
  name: "TemplateIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$1K), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup59(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-template"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$1J = {
  name: "PraiseIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$1J), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup60(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-praise"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$1I = {
  name: "TreadIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$1I), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup61(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-tread"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$1H = {
  name: "MaleIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$1H), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup62(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-male"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$1G = {
  name: "FemaleIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$1G), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup63(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-female"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$1F = {
  name: "CameraIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$1F), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup64(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-camera"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$1E = {
  name: "CameraFillIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$1E), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup65(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-camera-fill"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$1D = {
  name: "MoreIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$1D), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup66(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-more"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$1C = {
  name: "MoreVerticalIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$1C), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup67(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-more-vertical"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$1B = {
  name: "RmbIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$1B), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup68(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-rmb"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$1A = {
  name: "DollarIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$1A), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup69(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-dollar"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$1z = {
  name: "DiamondIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$1z), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup70(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-diamond"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$1y = {
  name: "FireIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$1y), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup71(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-fire"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$1x = {
  name: "ReturnIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$1x), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup72(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-return"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$1w = {
  name: "LocationIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$1w), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup73(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-location"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$1v = {
  name: "ReadIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$1v), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup74(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-read"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$1u = {
  name: "SurveyIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$1u), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup75(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-survey"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$1t = {
  name: "FaceSmileIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$1t), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup76(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-face-smile"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$1s = {
  name: "FaceCryIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$1s), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup77(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-face-cry"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$1r = {
  name: "CartSimpleIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$1r), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup78(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-cart-simple"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$1q = {
  name: "CartIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$1q), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup79(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-cart"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$1p = {
  name: "NextIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$1p), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup80(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-next"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$1o = {
  name: "PrevIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$1o), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup81(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-prev"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$1n = {
  name: "UploadDragIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$1n), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup82(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-upload-drag"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$1m = {
  name: "UploadIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$1m), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup83(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-upload"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$1l = {
  name: "DownloadCircleIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$1l), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup84(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-download-circle"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$1k = {
  name: "ComponentIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$1k), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup85(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-component"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$1j = {
  name: "FileBIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$1j), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup86(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-file-b"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$1i = {
  name: "UserIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$1i), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup87(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-user"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$1h = {
  name: "FindFillIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$1h), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup88(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-find-fill"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$1g = {
  name: "LoadingIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$1g), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup89(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-loading"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$1f = {
  name: "LoadingOneIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$1f), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup90(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-loading-one"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$1e = {
  name: "AddOneIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$1e), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup91(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-add-one"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$1d = {
  name: "PlayIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$1d), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup92(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-play"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$1c = {
  name: "PauseIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$1c), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup93(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-pause"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$1b = {
  name: "HeadsetIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$1b), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup94(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-headset"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$1a = {
  name: "VideoIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$1a), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup95(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-video"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$19 = {
  name: "VoiceIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$19), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup96(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-voice"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$18 = {
  name: "SpeakerIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$18), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup97(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-speaker"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$17 = {
  name: "FontsDelIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$17), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup98(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-fonts-del"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$16 = {
  name: "FontsCodeIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$16), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup99(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-fonts-code"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$15 = {
  name: "FontsHtmlIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$15), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup100(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-fonts-html"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$14 = {
  name: "FontsStrongIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$14), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup101(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-fonts-strong"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$13 = {
  name: "UnlinkIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$13), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup102(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-unlink"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$12 = {
  name: "PictureIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$12), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup103(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-picture"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$11 = {
  name: "LinkIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$11), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup104(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-link"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$10 = {
  name: "FaceSmileBIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$10), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup105(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-face-smile-b"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$$ = {
  name: "AlignLeftIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$$), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup106(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-align-left"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$_ = {
  name: "AlignRightIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$_), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup107(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-align-right"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$Z = {
  name: "AlignCenterIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$Z), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup108(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-align-center"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$Y = {
  name: "FontsUIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$Y), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup109(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-fonts-u"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$X = {
  name: "FontsIIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$X), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup110(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-fonts-i"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$W = {
  name: "TabsIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$W), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup111(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-tabs"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$V = {
  name: "RadioIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$V), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup112(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-radio"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$U = {
  name: "CircleIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$U), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup113(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-circle"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$T = {
  name: "EditIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$T), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup114(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-edit"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$S = {
  name: "ShareIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$S), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup115(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-share"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$R = {
  name: "DeleteIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$R), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup116(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-delete"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$Q = {
  name: "FormIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$Q), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup117(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-form"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$P = {
  name: "CellphoneFineIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$P), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup118(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-cellphone-fine"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$O = {
  name: "DialogueIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$O), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup119(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-dialogue"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$N = {
  name: "FontsClearIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$N), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup120(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-fonts-clear"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$M = {
  name: "LayerIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$M), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup121(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-layer"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$L = {
  name: "DateIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$L), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup122(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-date"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$K = {
  name: "WaterIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$K), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup123(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-water"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$J = {
  name: "CodeCircleIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$J), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup124(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-code-circle"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$I = {
  name: "CarouselIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$I), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup125(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-carousel"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$H = {
  name: "PrevCircleIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$H), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup126(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-prev-circle"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$G = {
  name: "LayoutsIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$G), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup127(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-layouts"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$F = {
  name: "UtilIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$F), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup128(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-util"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$E = {
  name: "TempleateOneIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$E), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup129(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-templeate-one"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$D = {
  name: "UploadCircleIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$D), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup130(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-upload-circle"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$C = {
  name: "TreeIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$C), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup131(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-tree"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$B = {
  name: "TableIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$B), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup132(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-table"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$A = {
  name: "ChartIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$A), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup133(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-chart"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$z = {
  name: "ChartScreenIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$z), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup134(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-chart-screen"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$y = {
  name: "EngineIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$y), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup135(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-engine"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$x = {
  name: "TriangleDIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$x), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup136(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-triangle-d"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$w = {
  name: "TriangleRIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$w), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup137(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-triangle-r"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$v = {
  name: "FileIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$v), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup138(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-file"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$u = {
  name: "SetSmIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$u), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup139(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-set-sm"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$t = {
  name: "ReduceCircleIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$t), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup140(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-reduce-circle"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$s = {
  name: "AddCircleIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$s), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup141(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-add-circle"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$r = {
  name: "NotFoundIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$r), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup142(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-not-found"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$q = {
  name: "AboutIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$q), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup143(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-about"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$p = {
  name: "UpIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$p), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup144(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-up"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$o = {
  name: "DownIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$o), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup145(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-down"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$n = {
  name: "LeftIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$n), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup146(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-left"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$m = {
  name: "RightIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$m), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup147(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-right"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$l = {
  name: "CircleDotIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$l), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup148(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-circle-dot"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$k = {
  name: "SearchIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$k), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup149(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-search"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$j = {
  name: "SetFillIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$j), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup150(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-set-fill"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$i = {
  name: "GroupIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$i), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup151(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-group"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$h = {
  name: "FriendsIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$h), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup152(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-friends"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$g = {
  name: "ReplyFillIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$g), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup153(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-reply-fill"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$f = {
  name: "MenuFillIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$f), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup154(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-menu-fill"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$e = {
  name: "LogIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$e), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup155(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-log"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$d = {
  name: "PictureFineIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$d), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup156(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-picture-fine"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$c = {
  name: "FaceSmileFineIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$c), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup157(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-face-smile-fine"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$b = {
  name: "ListIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$b), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup158(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-list"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$a = {
  name: "ReleaseIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$a), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup159(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-release"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$9 = {
  name: "OkIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$9), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup160(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-ok"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$8 = {
  name: "HelpIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$8), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup161(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-help"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$7 = {
  name: "ChatIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$7), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup162(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-chat"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$6 = {
  name: "TopIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$6), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup163(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-top"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$5 = {
  name: "StarIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$5), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup164(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-star"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$4 = {
  name: "StarFillIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$4), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup165(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-star-fill"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$3 = {
  name: "CloseFillIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$3), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup166(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-close-fill"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$2 = {
  name: "CloseIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$2), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup167(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-close"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$1 = {
  name: "OkCircleIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$1), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup168(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-ok-circle"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var __default__$2F = {
  name: "AddCircleFineIcon"
};
/* @__PURE__ */ defineComponent(_objectSpread2(_objectSpread2({}, __default__$2F), {}, {
  props: {
    color: null,
    size: null
  },
  setup: function setup169(__props) {
    var props = __props;
    return function(_ctx, _cache) {
      return openBlock(), createBlock(unref(_sfc_main$2E), {
        color: props.color,
        size: props.size,
        type: "layui-icon-add-circle-fine"
      }, null, 8, ["color", "size"]);
    };
  }
}));
var index = /* @__PURE__ */ (() => ".layui-checkbox[size=lg]{height:18px;line-height:18px}.layui-checkbox[size=lg] .layui-form-checkbox[lay-skin=primary] .layui-icon{width:18px;height:18px;font-size:16px}.layui-checkbox[size=lg] .layui-form-checkbox[lay-skin=primary] .layui-checkbox-label{height:18px;line-height:18px;font-size:16px}.layui-checkbox[size=md]{height:16px;line-height:16px}.layui-checkbox[size=md] .layui-form-checkbox[lay-skin=primary] .layui-icon{width:16px;height:16px;font-size:14px}.layui-checkbox[size=md] .layui-form-checkbox[lay-skin=primary] .layui-checkbox-label{height:16px;line-height:16px;font-size:14px}.layui-checkbox[size=sm]{height:14px;line-height:14px}.layui-checkbox[size=sm] .layui-form-checkbox[lay-skin=primary] .layui-icon{width:14px;height:14px;font-size:12px}.layui-checkbox[size=sm] .layui-form-checkbox[lay-skin=primary] .layui-checkbox-label{height:14px;line-height:14px;font-size:12px}.layui-checkbox[size=xs]{height:12px;line-height:12px}.layui-checkbox[size=xs] .layui-form-checkbox[lay-skin=primary] .layui-icon{width:12px;height:12px;font-size:10px}.layui-checkbox[size=xs] .layui-form-checkbox[lay-skin=primary] .layui-checkbox-label{height:12px;line-height:12px;font-size:10px}.layui-checkbox input[type=checkbox]{display:none}.layui-form-checkbox{position:relative;height:30px;line-height:30px;margin-right:10px;padding-right:30px;cursor:pointer;font-size:0;-webkit-transition:.1s linear;transition:.1s linear;box-sizing:border-box}.layui-form-checkbox span{padding:0 10px;height:100%;font-size:14px;border-radius:2px 0 0 2px;background-color:var(--global-neutral-color-6);color:#fff;overflow:hidden}.layui-form-checkbox:hover span{background-color:var(--global-neutral-color-8)}.layui-form-checkbox i{top:0;right:0;width:29px;height:28px;position:absolute;border:1px solid var(--global-neutral-color-6);border-radius:0 2px 2px 0;color:#fff;font-size:20px;text-align:center}.layui-form-checkbox:hover i{border-color:var(--global-neutral-color-8);color:var(--global-neutral-color-8)}.layui-form-checkbox[lay-skin=primary]{height:auto!important;line-height:normal!important;min-width:18px;min-height:18px;border:none!important;margin-right:0;padding-left:28px;padding-right:0;background:0 0}.layui-form-checkbox[lay-skin=primary] span{padding-left:0;padding-right:15px;line-height:18px;background:0 0;color:#666}.layui-form-checkbox[lay-skin=primary] i{right:auto;left:0;width:16px;height:16px;line-height:16px;border:1px solid var(--global-neutral-color-6);font-size:12px;border-radius:2px;background-color:#fff;-webkit-transition:.1s linear;transition:.1s linear}.layui-form-checkbox[lay-skin=primary]:hover i{border-color:var(--global-checked-color);color:#fff}.layui-form-checked,.layui-form-checked:hover{border-color:var(--global-checked-color)}.layui-form-checked i,.layui-form-checked:hover i{color:var(--global-checked-color)}.layui-form-checked span,.layui-form-checked:hover span{background-color:var(--global-checked-color)}.layui-form-checked[lay-skin=primary] i{border-color:var(--global-checked-color);background-color:var(--global-checked-color);color:#fff}.layui-form-checked[lay-skin=primary] span{background:0 0!important}.layui-checkbox-disabled[lay-skin=primary] span{background:0 0!important;color:var(--global-neutral-color-8)!important}.layui-checkbox-disabled[lay-skin=primary]:hover i{border-color:var(--global-neutral-color-6)}.layui-checkbox-disabled,.layui-checkbox-disabled i{border-color:var(--global-neutral-color-3)!important}.layui-checkbox-disabled span{background-color:var(--global-neutral-color-3)!important}.layui-checkbox-disabled em{color:var(--global-neutral-color-6)!important}.layui-checkbox-disabled:hover i{color:#fff!important}.layui-checkbox-disabled .layui-icon-ok,.layui-checkbox-disabled .layui-icon-subtraction{background-color:var(--global-neutral-color-3)!important;border-color:var(--global-neutral-color-3)!important}\n")();
const _hoisted_1 = ["onClick", "size"];
const _hoisted_2 = ["name", "value"];
const _hoisted_3 = ["lay-skin"];
const _hoisted_4 = {
  key: 0,
  class: "layui-checkbox-label"
};
const __default__ = {
  name: "LayCheckbox"
};
const _sfc_main = defineComponent({
  ...__default__,
  props: {
    name: null,
    skin: null,
    label: { default: "" },
    value: null,
    modelValue: { type: [Boolean, Array], default: false },
    isIndeterminate: { type: Boolean, default: false },
    size: { default: "md" },
    disabled: { type: Boolean, default: false }
  },
  emits: ["update:modelValue", "change"],
  setup(__props, { expose, emit }) {
    const props = __props;
    const checkboxGroup = inject("checkboxGroup", {});
    const isGroup = computed(() => {
      return checkboxGroup != void 0 && (checkboxGroup == null ? void 0 : checkboxGroup.name) === "LayCheckboxGroup";
    });
    const slots = useSlots();
    const isChecked = computed({
      get() {
        if (isGroup.value) {
          return checkboxGroup.modelValue.value.includes(props.value);
        } else {
          if (Array.isArray(props.modelValue)) {
            return props.modelValue.includes(props.value);
          } else {
            return props.modelValue;
          }
        }
      },
      set(val) {
        if (isGroup.value) {
          setGroupModelValue(val);
        } else {
          if (Array.isArray(props.modelValue)) {
            setArrayModelValue(val);
          } else {
            emit("change", val);
            emit("update:modelValue", val);
          }
        }
      }
    });
    const arrayModelValue = computed(() => {
      if (Array.isArray(props.modelValue)) {
        return [...props.modelValue];
      } else {
        return [];
      }
    });
    const setGroupModelValue = function(checked) {
      let groupModelValue = [...checkboxGroup.modelValue.value];
      if (!checked) {
        groupModelValue.splice(groupModelValue.indexOf(props.value), 1);
      } else {
        groupModelValue.push(props.value);
      }
      checkboxGroup.modelValue.value = groupModelValue;
    };
    const setArrayModelValue = function(checked) {
      let arr = [...arrayModelValue.value];
      if (!checked) {
        arr.splice(arr.indexOf(props.value), 1);
      } else {
        arr.push(props.value);
      }
      emit("change", arr);
      emit("update:modelValue", arr);
    };
    const handleClick = function() {
      if (!isDisabled.value) {
        isChecked.value = !isChecked.value;
      }
    };
    const isDisabled = computed(() => {
      if (props.disabled) {
        return true;
      }
      if (checkboxGroup.hasOwnProperty("disabled") && checkboxGroup.disabled.value) {
        return true;
      }
      return false;
    });
    expose({ toggle: handleClick });
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("span", {
        onClick: withModifiers(handleClick, ["stop"]),
        class: "layui-checkbox",
        size: __props.size
      }, [
        createElementVNode("input", {
          type: "checkbox",
          name: __props.name,
          value: __props.value
        }, null, 8, _hoisted_2),
        createElementVNode("div", {
          class: normalizeClass(["layui-form-checkbox", {
            "layui-form-checked": unref(isChecked),
            "layui-checkbox-disabled layui-disabled": unref(isDisabled)
          }]),
          "lay-skin": __props.skin
        }, [
          unref(slots).default || __props.label ? (openBlock(), createElementBlock("span", _hoisted_4, [
            renderSlot(_ctx.$slots, "default", {}, () => [
              createTextVNode(toDisplayString(__props.label), 1)
            ])
          ])) : createCommentVNode("", true),
          createVNode(unref(_sfc_main$2E), {
            type: props.isIndeterminate && unref(isChecked) ? "layui-icon-subtraction" : unref(isChecked) ? "layui-icon-ok" : ""
          }, null, 8, ["type"])
        ], 10, _hoisted_3)
      ], 8, _hoisted_1);
    };
  }
});
const component = withInstall(_sfc_main);
export { _sfc_main$2E as _, _sfc_main as a, component as c, iconfont as i };
